Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 30 Sep 2006 07:56:40 +1000
From:      Warren Liddell <shinjii@virusinfo.rdksupportinc.com>
To:        freebsd-questions@freebsd.org
Subject:   Portupgrade of varios KDE fails in Subversion
Message-ID:  <200609300756.41186.shinjii@virusinfo.rdksupportinc.com>

Next in thread | Raw E-Mail | Index | Archive | Help
Im running FreeBSD 6.1-STABLE, got a few KDE packages to update, but fail due 
to Subversion .. below is the error .. any help//assistance is greatly 
appreciated.

============
any useful scripts will be installed into /usr/local/share/subversion
===>  Vulnerability check disabled, database not found
===>  Extracting for subversion-1.4.0_1
=> MD5 Checksum OK for subversion/subversion-1.4.0.tar.bz2.
=> SHA256 Checksum OK for subversion/subversion-1.4.0.tar.bz2.
===>  Patching for subversion-1.4.0_1
===>  Applying FreeBSD patches for subversion-1.4.0_1
===>   subversion-1.4.0_1 depends on file: /usr/local/bin/libtool - found
===>   subversion-1.4.0_1 depends on shared library: expat.6 - found
===>   subversion-1.4.0_1 depends on shared library: neon.25 - found
===>   subversion-1.4.0_1 depends on shared library: apr-1.2 - found
===>   subversion-1.4.0_1 depends on shared library: intl - found
===>  Configuring for subversion-1.4.0_1

You should build `devel/apr-svn' with db4 support to use subversion with it.
Please rebuild `devel/apr-svn' with option `APR_UTIL_WITH_BERKELEY_DB=yes' and 
try again.

Or you can disable db4 support. Only 'fs' repository backend will be 
available.
To disable db4 support, define WITHOUT_BDB.

*** Error code 1

Stop in /usr/ports/devel/subversion.
*** Error code 1

Stop in /usr/ports/devel/kdesdk3.
** Command failed [exit code 
1]: /usr/bin/script -qa /tmp/portupgrade.74901.111 env PORT_UPGRADE=yes make 
BATCH=yes DEPENDS_TARGET=package
** Fix the problem and try again.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?200609300756.41186.shinjii>